Overview
GET
/content/feedpersonalList the caller's activity feed (filterable, paginated)
List feed.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- entityTypequery · optionalstring
- actionquery · optionalstring
- sourcequery · optionalstring
- sincequery · optionalstring
- untilquery · optionalstring
- unreadquery · optionalstring
- pagequery · optionalstring
- pageSizequery · optionalstring
Responses
200
Feed page
- itemsFeedItem[]
- totalinteger
- pageinteger
- pageSizeinteger
Example
{
"items": [
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"source": "string",
"entityType": "string",
"entityId": "string",
"action": "string",
"actorId": "string",
"summary": "string",
"metadata": "string",
"isRead": true,
"createdAt": "string"
}
],
"total": 0,
"page": 0,
"pageSize": 0
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/content/feed" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/feed", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();